{
  Copyright (c) 1996, SupraSoft Ltd (SupraSoft Oy).

  SupraSoft Ltd's liability for any breach of a limited warranty is limited
  to replacement of defective diskette(s) or documentation and does not include
  or extend to claims for any other damages, including but not limited to loss
  of profits, data or use of the software, or special, incidental, or consequential
  damages or other similar claims even if SupraSoft has been specifically advised
  of the possibility of such damages.

  SUPRASOFT LTD SPECIFICALLY DISCLAIMS ALL OTHER WARRANTIES, INCLUDING BUT
  NOT LIMITED TO MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

  Please see an accompanying license agreement file for an additional license terms.
  ------------------------------------------------------------------------------

  This unit registers the Crystal Design component to the Delphi component palette.
  Registration must be done before the component can be used at Design Time.

  To register the component, please use 'Install Component...' menu command
  to add CRYSTREG.PAS file to a component library.
}

unit Crystreg;

interface

{$IFDEF WIN32}
  {$R CRYST32.DCR}
{$ELSE}
  {$R CRYST16.DCR}
{$ENDIF}

procedure Register;

implementation

uses DsgnIntf, Classes, CrystDsg, CrystAbt, CrystFor, CrystSrv;

{--------------------------------------------------------------------------
  Register component and property editors.
}
procedure Register;
begin
  RegisterComponents('Supra', [TCrystalDesign]);
  RegisterComponentEditor(TCrystalDesign, TCrystalAboutEdit);
  RegisterPropertyEditor(TypeInfo(TStrings), TCrystalDesign, 'About',
                         TCrystalAboutProperty);
  RegisterPropertyEditor(TypeInfo(TStrings), TCrystalDesign, 'Formulas',
                         TCrystDsgFormulaPropEdit);
  RegisterPropertyEditor(TypeInfo(TStrings), TCrystalDesign, 'TableLogonInfo',
                         TCrystDsgServerLogonPropEdit);
  RegisterPropertyEditor(TypeInfo(String), TCrystalDesign, 'ReportName',
                         TCrystalFileProperty);
end;

end.
